Subject: new fork(0) kinda thing

From: Quinn Avery <[email-masked]>
Date: Tue, 24 Aug 1993 12:46:40 -0700

Many of the times I use fork(0) it is simply to set off a block of
 code from the currently executing task.
 
I'd like to see a new statement which doesn't replenish ticks/seconds,
 but just tacks the enclosed code onto the end of the current task.
 
As an example:
 
@prog me:tell
if (random(100) == 1)
  fork (0)
    this:do_something_stupid();
  endfork
endif
return pass(@args);
..
 
... could be replaced by:
 
@prog me:tell
if (random(100) == 1)
  tail
    this:do_something_stupid();
  endtail
endif
return pass(@args);
..
 
...if the new statement were called 'tail'.  I can't honestly think of
 a good name for it.
 
After the entire task (perhaps a 'say' command triggered this one) was finishe I would :do_something_stupid.

If the implementation wouldn't result in any speed gain or spam relief,
 then skip it.

--Quinn (scuse the bad line breaks and such)